Loading...
Searching...
No Matches
caf::detail::tl_count< List, Pred > Struct Template Reference

Counts the number of elements in the list which satisfy a predicate. More...

`#include <type_list.hpp>`

## Static Public Attributes

static constexpr size_t | value

## Detailed Description

template<class List, template< class > class Pred>
struct caf::detail::tl_count< List, Pred >

Counts the number of elements in the list which satisfy a predicate.

## Member Data Documentation

## value

template<class List, template< class > class Pred>

size_t caf::detail::tl_count< List, Pred >::value

static constexpr

Initial value:
=
(Pred<tl_head_t<List>>::value ? 1 : 0)
+ tl_count<tl_tail_t<List>, Pred>::value
caf::detail::tl_count
Counts the number of elements in the list which satisfy a predicate.
Definition type_list.hpp:525

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_list.hpp